	
* initialise the mouse routine. set up the interrupt.
mouse_init
	
	BSR		disable_exception
	LEA		mouse_interrupt,A0		* get the mouse interrupt routine address
	MOVE.l		A0,$64				* save the mouse interrupt vector,port

	RTS
	
enable_exception
	MOVE.B		#60,D0
	MOVE.W		#$0102,D1			* enable only pressed
	TRAP		#15
	MOVE.B		#0,flag				* ignore all the interupts
loop:
	CMPI.B		#1,flag				* busy loop waiting for the new game click
	BEQ		done
	BRA		loop
done:
	BSR		stop_start
	BSR		disable_exception
	RTS
		
disable_exception
	MOVE.B		#60,D0
	MOVE.W		#$0007,D1			*disable all for safety
	TRAP		#15
	
	RTS	
	
mouse_interrupt
	MOVEM.l		D0-D3,-(sp)			* save the registers
	MOVE.B		#61,D0
	MOVE.W		#02,D1
	TRAP		#15
	SWAP		D1				
	MOVE.W		D1, D2				*D2.W = Y
	SWAP		D1				*D1.W = X
	ANDI.L		#$FFFF,D1
	SUBI		#93,D1				*distance from the origin of the start circle
	SUBI		#179,D2
	IF.W	D2 <le> #60 THEN
		IF.W	D1 <le> #60 THEN 			* Start Playing clicked?
			MULS	D1,D1
			MULS	D2,D2
			ADD.L	D1,D2
			IF.L	D2 <le> #3601 THEN 
				BTST		#0,D0			* was it the left button
				BEQ.s		not_left_button		* if not skip the flag set
				MOVE.B		#1,flag
			ENDI	
		ENDI	
	ENDI
not_left_button
	
	MOVEM.l		(sp)+,D0-D3			* restore the registers
	RTE

	






*~Font name~Courier New~
*~Font size~10~
*~Tab type~1~
*~Tab size~8~
